org.eclipse.eef.impl

## Class EefFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.eef.impl.EefFactoryImpl

All Implemented Interfaces:
  EefFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory

    public class EefFactoryImpl
    extends org.eclipse.emf.ecore.impl.EFactoryImpl
    implements EefFactory

An implementation of the model Factory.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`EDATE_FORMATS, ePackage`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.eef.EefFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
Constructor and Description
`EefFactoryImpl()` Creates an instance of the factory.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.String` `convertEEF_FILL_LAYOUT_ORIENTATIONToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEEF_TITLE_BAR_STYLEToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEEF_TOGGLE_STYLEToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEEF_VALIDATION_SEVERITY_DESCRIPTIONToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`EEF_FILL_LAYOUT_ORIENTATION` `createEEF_FILL_LAYOUT_ORIENTATIONFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`EEF_TITLE_BAR_STYLE` `createEEF_TITLE_BAR_STYLEFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`EEF_TOGGLE_STYLE` `createEEF_TOGGLE_STYLEFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`EEF_VALIDATION_SEVERITY_DESCRIPTION` `createEEF_VALIDATION_SEVERITY_DESCRIPTIONFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`EEFButtonConditionalStyle` `createEEFButtonConditionalStyle()`
`EEFButtonDescription` `createEEFButtonDescription()`
`EEFButtonStyle` `createEEFButtonStyle()`
`EEFCheckboxConditionalStyle` `createEEFCheckboxConditionalStyle()`
`EEFCheckboxDescription` `createEEFCheckboxDescription()`
`EEFCheckboxStyle` `createEEFCheckboxStyle()`
`EEFContainerDescription` `createEEFContainerDescription()`
`EEFCustomExpression` `createEEFCustomExpression()`
`EEFCustomWidgetConditionalStyle` `createEEFCustomWidgetConditionalStyle()`
`EEFCustomWidgetDescription` `createEEFCustomWidgetDescription()`
`EEFCustomWidgetStyle` `createEEFCustomWidgetStyle()`
`EEFDynamicMappingFor` `createEEFDynamicMappingFor()`
`EEFDynamicMappingIf` `createEEFDynamicMappingIf()`
`EEFFillLayoutDescription` `createEEFFillLayoutDescription()`
`EEFGridLayoutDescription` `createEEFGridLayoutDescription()`
`EEFGroupConditionalStyle` `createEEFGroupConditionalStyle()`
`EEFGroupDescription` `createEEFGroupDescription()`
`EEFGroupStyle` `createEEFGroupStyle()`
`EEFHyperlinkConditionalStyle` `createEEFHyperlinkConditionalStyle()`
`EEFHyperlinkDescription` `createEEFHyperlinkDescription()`
`EEFHyperlinkStyle` `createEEFHyperlinkStyle()`
`EEFLabelConditionalStyle` `createEEFLabelConditionalStyle()`
`EEFLabelDescription` `createEEFLabelDescription()`
`EEFLabelStyle` `createEEFLabelStyle()`
`EEFListConditionalStyle` `createEEFListConditionalStyle()`
`EEFListDescription` `createEEFListDescription()`
`EEFListStyle` `createEEFListStyle()`
`EEFPageDescription` `createEEFPageDescription()`
`EEFPropertyValidationRuleDescription` `createEEFPropertyValidationRuleDescription()`
`EEFRadioConditionalStyle` `createEEFRadioConditionalStyle()`
`EEFRadioDescription` `createEEFRadioDescription()`
`EEFRadioStyle` `createEEFRadioStyle()`
`EEFRuleAuditDescription` `createEEFRuleAuditDescription()`
`EEFSelectConditionalStyle` `createEEFSelectConditionalStyle()`
`EEFSelectDescription` `createEEFSelectDescription()`
`EEFSelectStyle` `createEEFSelectStyle()`
`EEFSemanticValidationRuleDescription` `createEEFSemanticValidationRuleDescription()`
`EEFTextConditionalStyle` `createEEFTextConditionalStyle()`
`EEFTextDescription` `createEEFTextDescription()`
`EEFTextStyle` `createEEFTextStyle()`
`EEFToolbarAction` `createEEFToolbarAction()`
`EEFValidationFixDescription` `createEEFValidationFixDescription()`
`EEFViewDescription` `createEEFViewDescription()`
`EEFWidgetAction` `createEEFWidgetAction()`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`EefPackage` `getEefPackage()`
`static EefPackage` `getPackage()` Deprecated.
`static EefFactory` `init()` Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Constructor Detail

#### EefFactoryImpl

    public EefFactoryImpl()

Creates an instance of the factory.

### Method Detail

#### init

    public static EefFactory init()

Creates the default factory implementation.

#### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

Specified by:
  `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

Specified by:
  `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createEEFViewDescription

    public EEFViewDescription createEEFViewDescription()

Specified by:
  `createEEFViewDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF View Description'.

#### createEEFPageDescription

    public EEFPageDescription createEEFPageDescription()

Specified by:
  `createEEFPageDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Page Description'.

#### createEEFRuleAuditDescription

    public EEFRuleAuditDescription createEEFRuleAuditDescription()

Specified by:
  `createEEFRuleAuditDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Rule Audit Description'.

#### createEEFValidationFixDescription

    public EEFValidationFixDescription createEEFValidationFixDescription()

Specified by:
  `createEEFValidationFixDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Validation Fix Description'.

#### createEEFPropertyValidationRuleDescription

    public EEFPropertyValidationRuleDescription createEEFPropertyValidationRuleDescription()

Specified by:
  `createEEFPropertyValidationRuleDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Property Validation Rule Description'.

#### createEEFSemanticValidationRuleDescription

    public EEFSemanticValidationRuleDescription createEEFSemanticValidationRuleDescription()

Specified by:
  `createEEFSemanticValidationRuleDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Semantic Validation Rule Description'.

#### createEEFGroupDescription

    public EEFGroupDescription createEEFGroupDescription()

Specified by:
  `createEEFGroupDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Group Description'.

#### createEEFToolbarAction

    public EEFToolbarAction createEEFToolbarAction()

Specified by:
  `createEEFToolbarAction` in interface `EefFactory`
Returns:
  a new object of class 'EEF Toolbar Action'.

#### createEEFContainerDescription

    public EEFContainerDescription createEEFContainerDescription()

Specified by:
  `createEEFContainerDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Container Description'.

#### createEEFFillLayoutDescription

    public EEFFillLayoutDescription createEEFFillLayoutDescription()

Specified by:
  `createEEFFillLayoutDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Fill Layout Description'.

#### createEEFGridLayoutDescription

    public EEFGridLayoutDescription createEEFGridLayoutDescription()

Specified by:
  `createEEFGridLayoutDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Grid Layout Description'.

#### createEEFTextDescription

    public EEFTextDescription createEEFTextDescription()

Specified by:
  `createEEFTextDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Text Description'.

#### createEEFLabelDescription

    public EEFLabelDescription createEEFLabelDescription()

Specified by:
  `createEEFLabelDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Label Description'.

#### createEEFButtonDescription

    public EEFButtonDescription createEEFButtonDescription()

Specified by:
  `createEEFButtonDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Button Description'.

#### createEEFCheckboxDescription

    public EEFCheckboxDescription createEEFCheckboxDescription()

Specified by:
  `createEEFCheckboxDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Checkbox Description'.

#### createEEFSelectDescription

    public EEFSelectDescription createEEFSelectDescription()

Specified by:
  `createEEFSelectDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Select Description'.

#### createEEFRadioDescription

    public EEFRadioDescription createEEFRadioDescription()

Specified by:
  `createEEFRadioDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Radio Description'.

#### createEEFHyperlinkDescription

    public EEFHyperlinkDescription createEEFHyperlinkDescription()

Specified by:
  `createEEFHyperlinkDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Hyperlink Description'.

#### createEEFDynamicMappingFor

    public EEFDynamicMappingFor createEEFDynamicMappingFor()

Specified by:
  `createEEFDynamicMappingFor` in interface `EefFactory`
Returns:
  a new object of class 'EEF Dynamic Mapping For'.

#### createEEFDynamicMappingIf

    public EEFDynamicMappingIf createEEFDynamicMappingIf()

Specified by:
  `createEEFDynamicMappingIf` in interface `EefFactory`
Returns:
  a new object of class 'EEF Dynamic Mapping If'.

#### createEEFCustomWidgetDescription

    public EEFCustomWidgetDescription createEEFCustomWidgetDescription()

Specified by:
  `createEEFCustomWidgetDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF Custom Widget Description'.

#### createEEFCustomExpression

    public EEFCustomExpression createEEFCustomExpression()

Specified by:
  `createEEFCustomExpression` in interface `EefFactory`
Returns:
  a new object of class 'EEF Custom Expression'.

#### createEEFListDescription

    public EEFListDescription createEEFListDescription()

Specified by:
  `createEEFListDescription` in interface `EefFactory`
Returns:
  a new object of class 'EEF List Description'.

#### createEEFTextStyle

    public EEFTextStyle createEEFTextStyle()

Specified by:
  `createEEFTextStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Text Style'.

#### createEEFLabelStyle

    public EEFLabelStyle createEEFLabelStyle()

Specified by:
  `createEEFLabelStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Label Style'.

#### createEEFButtonStyle

    public EEFButtonStyle createEEFButtonStyle()

Specified by:
  `createEEFButtonStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Button Style'.

#### createEEFCheckboxStyle

    public EEFCheckboxStyle createEEFCheckboxStyle()

Specified by:
  `createEEFCheckboxStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Checkbox Style'.

#### createEEFSelectStyle

    public EEFSelectStyle createEEFSelectStyle()

Specified by:
  `createEEFSelectStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Select Style'.

#### createEEFRadioStyle

    public EEFRadioStyle createEEFRadioStyle()

Specified by:
  `createEEFRadioStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Radio Style'.

#### createEEFHyperlinkStyle

    public EEFHyperlinkStyle createEEFHyperlinkStyle()

Specified by:
  `createEEFHyperlinkStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Hyperlink Style'.

#### createEEFCustomWidgetStyle

    public EEFCustomWidgetStyle createEEFCustomWidgetStyle()

Specified by:
  `createEEFCustomWidgetStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Custom Widget Style'.

#### createEEFListStyle

    public EEFListStyle createEEFListStyle()

Specified by:
  `createEEFListStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF List Style'.

#### createEEFGroupStyle

    public EEFGroupStyle createEEFGroupStyle()

Specified by:
  `createEEFGroupStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Group Style'.

#### createEEFTextConditionalStyle

    public EEFTextConditionalStyle createEEFTextConditionalStyle()

Specified by:
  `createEEFTextConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Text Conditional Style'.

#### createEEFButtonConditionalStyle

    public EEFButtonConditionalStyle createEEFButtonConditionalStyle()

Specified by:
  `createEEFButtonConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Button Conditional Style'.

#### createEEFLabelConditionalStyle

    public EEFLabelConditionalStyle createEEFLabelConditionalStyle()

Specified by:
  `createEEFLabelConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Label Conditional Style'.

#### createEEFCheckboxConditionalStyle

    public EEFCheckboxConditionalStyle createEEFCheckboxConditionalStyle()

Specified by:
  `createEEFCheckboxConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Checkbox Conditional Style'.

#### createEEFSelectConditionalStyle

    public EEFSelectConditionalStyle createEEFSelectConditionalStyle()

Specified by:
  `createEEFSelectConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Select Conditional Style'.

#### createEEFRadioConditionalStyle

    public EEFRadioConditionalStyle createEEFRadioConditionalStyle()

Specified by:
  `createEEFRadioConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Radio Conditional Style'.

#### createEEFHyperlinkConditionalStyle

    public EEFHyperlinkConditionalStyle createEEFHyperlinkConditionalStyle()

Specified by:
  `createEEFHyperlinkConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Hyperlink Conditional Style'.

#### createEEFCustomWidgetConditionalStyle

    public EEFCustomWidgetConditionalStyle createEEFCustomWidgetConditionalStyle()

Specified by:
  `createEEFCustomWidgetConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Custom Widget Conditional Style'.

#### createEEFWidgetAction

    public EEFWidgetAction createEEFWidgetAction()

Specified by:
  `createEEFWidgetAction` in interface `EefFactory`
Returns:
  a new object of class 'EEF Widget Action'.

#### createEEFListConditionalStyle

    public EEFListConditionalStyle createEEFListConditionalStyle()

Specified by:
  `createEEFListConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF List Conditional Style'.

#### createEEFGroupConditionalStyle

    public EEFGroupConditionalStyle createEEFGroupConditionalStyle()

Specified by:
  `createEEFGroupConditionalStyle` in interface `EefFactory`
Returns:
  a new object of class 'EEF Group Conditional Style'.

#### createEEF_VALIDATION_SEVERITY_DESCRIPTIONFromString

    public EEF_VALIDATION_SEVERITY_DESCRIPTION createEEF_VALIDATION_SEVERITY_DESCRIPTIONFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                                   java.lang.String initialValue)

#### convertEEF_VALIDATION_SEVERITY_DESCRIPTIONToString

    public java.lang.String convertEEF_VALIDATION_SEVERITY_DESCRIPTIONToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                               java.lang.Object instanceValue)

#### createEEF_FILL_LAYOUT_ORIENTATIONFromString

    public EEF_FILL_LAYOUT_ORIENTATION createEEF_FILL_LAYOUT_ORIENTATIONFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                   java.lang.String initialValue)

#### convertEEF_FILL_LAYOUT_ORIENTATIONToString

    public java.lang.String convertEEF_FILL_LAYOUT_ORIENTATIONToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.Object instanceValue)

#### createEEF_TOGGLE_STYLEFromString

    public EEF_TOGGLE_STYLE createEEF_TOGGLE_STYLEFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

#### convertEEF_TOGGLE_STYLEToString

    public java.lang.String convertEEF_TOGGLE_STYLEToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

#### createEEF_TITLE_BAR_STYLEFromString

    public EEF_TITLE_BAR_STYLE createEEF_TITLE_BAR_STYLEFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.String initialValue)

#### convertEEF_TITLE_BAR_STYLEToString

    public java.lang.String convertEEF_TITLE_BAR_STYLEToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.Object instanceValue)

#### getEefPackage

    public EefPackage getEefPackage()

Specified by:
  `getEefPackage` in interface `EefFactory`
Returns:
  the package supported by this factory.

#### getPackage

    @Deprecated
    public static EefPackage getPackage()

Deprecated.